Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.txbridge.ba.annotation
Enum BACompensationType

    java.lang.Object
      java.lang.Enum<BACompensationType>
          org.jboss.txbridge.ba.annotation.BACompensationType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BACompensationType>

    public enum BACompensationType

extends java.lang.Enum<BACompensationType>

List of supported compensation types. Compensation type defines what data needs to be remembered so that compensation action can be executed.

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Enum Constant Summary
`CUSTOM`
`PARAMETERS_MATCH`
`RETURN_VALUE`

Method Summary
`static BACompensationType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BACompensationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RETURN_VALUE

    public static final BACompensationType RETURN_VALUE

### PARAMETERS_MATCH

    public static final BACompensationType PARAMETERS_MATCH

### CUSTOM

    public static final BACompensationType CUSTOM

Method Detail

### values

    public static final BACompensationType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BACompensationType c : BACompensationType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BACompensationType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD